function summbestimmeordnung

  % Quadraturregel
  quadratur = @summtrapezregel;
  % quadratur = @summsimpsonregel;
  % quadratur = @summ2punktgauss;
  % quadratur = @summ3punktgauss;

  % Intervall [a,b]
  a = exp(1);
  b = pi;

  % Integrand
  integrand = @(x) x.^5;
  % integrand = @(x) sqrt(x-a);
  % integrand = @(x) (x-a).^(2.5);
  % integrand = @(x)f_4(x,a,b);

  % Referenzloesung
  I_ref = integral(integrand,a,b);

  % Anzahl von Teilintervallen
  N = 2.^(0:7);

  % Alloziere Speicherplatz
  Q = zeros(1,length(N));

  for i = 1:length(N)
    % Bestimme approximierte Loesung mit N(i) Teilintervallen
    Q(i) = quadratur(integrand,a,b,N(i));
  end

  % Bestimme den absoluten Fehler
  E = abs(Q - I_ref);

  % Plotte den Fehler in einem log-log-Plot
  figure;
  loglog(N,E,'-*');
  grid on;

  % Bestimme die Konvergenzrate
  p = polyfit(log(N),log(E),1);
  fprintf('Die Konvergenzordnung lautet %1.2f \n',-p(1));
